<?php

/* 
 * dbqueryentries.inc - the script performing a query on the database to get selected entries
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 * this script expects $selEntries to contain the ids for the entries to get from the database,
 * in $entryFiles the mp3 files for the entries are returned.
 *
 */

require_once("config.inc");
require_once("utils.inc");
require_once("dbutils.inc");

function queryEntries($query, $selEntries)
{
  global $DBCONNECT;
  global $conn;

  $entryFiles=array();

  if(!$conn)	// recycle connection if already existing
    $conn=pg_pconnect($DBCONNECT);
  
  if(!$conn)
  {
    echo("failed to open the database with \"$DBCONNECT\"");
  }
  else
  {
    if(is_array($selEntries))
      $query=addSelEntriesToQuery($query, $selEntries);

    if($query!="")
      $result=pg_exec($conn, createSongQuery("file", $query, ""));

    $num=pg_numrows($result);

    for($i=0; $i<$num; $i++)
    {
      $row=pg_fetch_row($result, $i);
      $entryFiles[]=$row[0];
    }
  }

  return $entryFiles;
}
?>
