<?php

/*
 * plinfo.php - the script to display a playlists info page
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 */

require_once("config.inc");
require_once("utils.inc");
require_once("dbutils.inc");

$HTMLPage->set_title("playlist info");

if($CSS_FILE!=false)
  $HTMLPage->push_css_link($CSS_FILE);

$table1=new TABLEtag(array("CELLSPACING" => "$TABLE_SPACING",
			   "CELLPADDING" => "0",
			   "BORDER" => "$TABLE_BORDER",
			   "WIDTH" => "$MAX_TABLE_WIDTH",
			   "HEIGHT" => "$MAX_TABLE_HEIGHT"));

$table2=new TABLEtag(array("WIDTH" => "100%"));
$table2->push_row(create_TD(array("class" => "Name", "ALIGN" => "MIDDLE"), "playlist info"));
$table1->push_row(create_TD(array("class" => "Title", "VALIGN"=>"TOP"), $table2));

if(!$conn)
  $conn=pg_pconnect($DBCONNECT);
if(!$conn)
{
  $table1->push_row(create_TD(array("class"=>"Navigation", "WIDTH"=>"100%", "ALIGN"=>"CENTER"), 
			      create_B("Failed to open the database with \"$DBCONNECT\"")));
}
else
{
  $result=pg_exec($conn, createPlaylistQuery("id=$plid", ""));

  $entries_found=pg_numrows($result);
  
  if($entries_found > 0)
  {
    // let's create the update form
    $playlist=pg_fetch_array($result, 0);

    $table2=new TABLEtag(array("CELLSPACING"=>"4", "CELLPADDING"=>"0", "BORDER"=>"$TABLE_BORDER", "WIDTH"=>"100%"));

    for($i=0; $i<pg_numfields($result); $i++)
    {
      $name=pg_fieldname($result, $i);
      $uname=ucfirst($name);

      $val=$playlist[$i];
      $val=htmlspecialchars($val);
      
      $style="Entry";
      if(strlen($val)==0)
        $style="NoEntry";

      $table2->push_row(create_TD(array("class"=>"Column", "ALIGN"=>"LEFT"), create_B("$uname:")),
			create_TD(array("class"=>"$style", "WIDTH"=>"100%", "ALIGN"=>"LEFT"), $val));
    }

    $result=pg_exec($conn, getPlaylistEntryCountQuery($plid));

    $table2->push_row(create_TD(array("class"=>"Column", "ALIGN"=>"LEFT"), create_B("#Entries:")),
                      create_TD(array("class"=>"Entry", "WIDTH"=>"100%", "ALIGN"=>"LEFT"), pg_result($result, 0)));

    $table1->push_row(create_TD(array("class"=>"Content", "VALIGN"=>"TOP", "HEIGHT"=>"100%"), $table2));
  }

  if($HAS_JS)
  {
    $table2=new TABLEtag(array("WIDTH"=>"100%"));

    $table2->push_row(create_TD(array("class"=>"Name", "ALIGN"=>"CENTER", "COLSPAN"=>"4"), 
				array("[", html_a("javascript:window.close()", "close"), "]")));

    $table1->push_row(create_TD(array("class"=>"Title", "VALIGN"=>"TOP"), $table2));
  }
}

$HTMLPage->push($table1);
print $HTMLPage->render();

?>
